テーブル利用
POST
/webhook-table-uses
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-table-uses';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"smaregi","event":"waiter:table-uses","action":"created","storeId":"1","tableUseIds":["10001","10002"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-table-uses \ --header 'Content-Type: application/json' \ --data '{ "contractId": "smaregi", "event": "waiter:table-uses", "action": "created", "storeId": "1", "tableUseIds": [ "10001", "10002" ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 waiter:table-uses
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
created: 登録updated: 更新
string
storeId
店舗ID
string
tableUseIds
テーブル利用IDリスト
array
Examples
Exampleリクエスト例
{ "contractId": "smaregi", "event": "waiter:table-uses", "action": "created", "storeId": "1", "tableUseIds": [ "10001", "10002" ]}Responses
Section titled “Responses”OK